<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Cama{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO camas (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idcama,$nombre,$descripcion){
	$sql="UPDATE camas SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idcama='$idcama'";
	return ejecutarConsulta($sql);
}
public function desactivar($idcama){
	$sql="UPDATE camas SET condicion='0' WHERE idcama='$idcama'";
	return ejecutarConsulta($sql);
}
public function activar($idcama){
	$sql="UPDATE camas SET condicion='1' WHERE idcama='$idcama'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idcama){
	$sql="SELECT * FROM camas WHERE idcama='$idcama'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM camas";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM camas WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
